var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';

const SearchColumns = ({ columns, query, onChange }) => {
  const onQueryChange = event => {
    onChange(_extends({}, query, {
      [event.target.name]: event.target.value
    }));
  };

  return React.createElement(
    "tr",
    null,
    columns.map((column, i) => React.createElement(
      "th",
      { key: `${ i }-column-filter`, className: "column-filter" },
      column && column.property ? React.createElement("input", {
        onChange: onQueryChange,
        className: "column-filter-input",
        name: column.property,
        placeholder: column.filterPlaceholder || '',
        value: query[i]
      }) : ''
    ))
  );
};
process.env.NODE_ENV !== "production" ? SearchColumns.propTypes = {
  columns: React.PropTypes.arrayOf(React.PropTypes.object).isRequired,
  onChange: React.PropTypes.func.isRequired,
  query: React.PropTypes.object
} : void 0;

export default SearchColumns;